Create USDT withdrawal
curl --request POST \
--url https://api.imbawallet.com/partner/withdrawals \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"currency": "USDT",
"network": "TRON",
"amount": "12.50",
"to_address": "<string>",
"ext_id": "card-issue-20260710-003"
}
'import requests
url = "https://api.imbawallet.com/partner/withdrawals"
payload = {
"currency": "USDT",
"network": "TRON",
"amount": "12.50",
"to_address": "<string>",
"ext_id": "card-issue-20260710-003"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currency: 'USDT',
network: 'TRON',
amount: '12.50',
to_address: '<string>',
ext_id: 'card-issue-20260710-003'
})
};
fetch('https://api.imbawallet.com/partner/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"withdrawal_id": "<string>",
"ext_id": "card-issue-20260710-003",
"currency": "<string>",
"network": "<string>",
"amount": "12.50",
"fee": "12.50",
"fee_currency": "<string>",
"to_address": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"withdrawal_id": "<string>",
"ext_id": "card-issue-20260710-003",
"currency": "<string>",
"network": "<string>",
"amount": "12.50",
"fee": "12.50",
"fee_currency": "<string>",
"to_address": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "insufficient_balance",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": "insufficient_balance",
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Withdrawals
Create USDT withdrawal
POST
/
partner
/
withdrawals
Create USDT withdrawal
Authorizations
Access token from POST /auth/v1/partner/token
Body
application/json
Available options:
USDT Available options:
TRON Pattern:
^-?\d+(\.\d+)?$Example:
"12.50"
Partner-side idempotency key (unique per partner)
Required string length:
1 - 128Example:
"card-issue-20260710-003"
Response
Idempotent replay of the same ext_id + body
Partner-side idempotency key (unique per partner)
Required string length:
1 - 128Example:
"card-issue-20260710-003"
Pattern:
^-?\d+(\.\d+)?$Example:
"12.50"
Pattern:
^-?\d+(\.\d+)?$Example:
"12.50"
Available options:
pending, processing, completed, failed, cancelled Correlation id for support
⌘I